Page MenuHomePhabricator

We need a common repository for Scribunto modules and templates
Open, Stalled, MediumPublic

Description

We need a central repository of Scribunto modules and templates. Currently they are spread all over.

It has been broadly requested/discussed in many places and this is an attempt to have a URL to watch a contribute to this topic.

Scribunto upstream is in mediawiki.org and therefore I think such central repository should also be in mediawiki.org, to satisfy equally Wikimedia and MediaWiki centric projects.

See Also:

Mentioned in discussion below:

Details

Reference
bz50329

Related Objects

StatusSubtypeAssignedTask
OpenNone
OpenNone
OpenNone
StalledNone
OpenNone
OpenNone
OpenNone
DeclinedNone
StalledNone
ResolvedLegoktm
OpenNone
OpenNone
ResolvedTTO
OpenNone
ResolvedNone
ResolvedNone
OpenNone
OpenNone
ResolvedAmire80
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedWhatamidoing-WMF
OpenNone
OpenNone
OpenNone

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Qgil set Security to None.Feb 12 2015, 12:36 PM
scfc added a subscriber: scfc.Feb 12 2015, 2:25 PM

Seems to be superseded by T66474

Tgr added a subscriber: Tgr.Feb 12 2015, 5:23 PM
Quiddity updated the task description. (Show Details)Feb 12 2015, 8:04 PM
Quiddity added a subscriber: Quiddity.
jayvdb added a subscriber: jayvdb.Feb 14 2015, 7:41 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 3 2015, 3:27 PM
-jem- added a subscriber: -jem-.Aug 10 2015, 4:41 PM
Qgil added a comment.Sep 17 2015, 1:51 PM

I was wondering whether there is an interest to push this discussion in the context of the Wikimedia-Developer-Summit-2016. The goal could be to agree on a basic plan and the best way to bring it to an implementation as part of the 2016-17 annual plan (or something along these lines). The globalization of gadgets seems to be progressing, but the templates/modules could benefit from a coordinated effort.

https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit_2016#Call_for_participation

I was wondering whether there is an interest to push this discussion in the context of the Wikimedia-Developer-Summit-2016. The goal could be to agree on a basic plan and the best way to bring it to an implementation as part of the 2016-17 annual plan (or something along these lines). The globalization of gadgets seems to be progressing, but the templates/modules could benefit from a coordinated effort.

https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit_2016#Call_for_participation

Probably not this task, but T91162.

Qgil changed the task status from Open to Stalled.Sep 18 2015, 9:00 AM

OK. Marking this task as Stalled and blocked by T91162: RFC: Shadow namespaces, then.

Jay8g added a subscriber: Jay8g.Sep 19 2015, 6:15 PM
IMPORTANT: If you are a community developer interested in working on this task: The Wikimedia Hackathon 2016 (Jerusalem, March 31 - April 3) focuses on #Community-Wishlist-Survey projects. There is some budget for sponsoring volunteer developers. THE DEADLINE TO REQUEST TRAVEL SPONSORSHIP IS TODAY, JANUARY 21. Exceptions can be made for developers focusing on Community Wishlist projects until the end of Sunday 24, but not beyond. If you or someone you know is interested, please REGISTER NOW.
Restricted Application added a subscriber: JEumerus. · View Herald TranscriptJan 21 2016, 2:53 PM
Meno25 removed a subscriber: Meno25.Feb 22 2016, 5:36 PM
Legoktm changed the status of subtask T91162: RFC: Shadow namespaces from Stalled to Open.Apr 20 2016, 10:35 PM
robkam awarded a token.Dec 9 2017, 7:58 PM
robkam updated the task description. (Show Details)Feb 13 2018, 12:11 PM
robkam updated the task description. (Show Details)
gpaumier removed a subscriber: gpaumier.Jul 18 2018, 5:57 PM
daniel changed the status of subtask T91162: RFC: Shadow namespaces from Open to Stalled.Mar 28 2019, 10:57 AM
greg removed a subscriber: greg.Mar 28 2019, 9:56 PM
Amire80 moved this task from Backlog to Transclusions on the Crosswiki board.Nov 15 2019, 4:40 PM
Nikki removed a subscriber: Nikki.Nov 15 2019, 4:50 PM
Qgil removed a subscriber: Qgil.Nov 17 2019, 9:47 AM
Sannita updated the task description. (Show Details)Nov 28 2019, 2:53 PM
Alkamid removed a subscriber: Alkamid.Jan 30 2020, 7:19 PM

This just came up as an issue on enwikinews - wherever the original content is hosted must be compatible / released with CC-BY-2.5 to be able to use it on enwikinews

This just came up as an issue on enwikinews - wherever the original content is hosted must be compatible / released with CC-BY-2.5 to be able to use it on enwikinews

Do you have a link?

This just came up as an issue on enwikinews - wherever the original content is hosted must be compatible / released with CC-BY-2.5 to be able to use it on enwikinews

Do you have a link?

https://en.wikinews.org/wiki/Wikinews:Water_cooler/technical - I posted at https://de.wikipedia.org/wiki/Wikipedia_Diskussion:Lua/Modul/Graph#Relicense to see if all of the contributors would be willing to release their contributions